/*------------------------------------------------------------------------ *
 * \file	loop_lineInOut.h                                               *
 * \brief	common functions and definitions                               *
 * ----------------------------------------------------------------------- */

#ifndef SINE48LINEOUT_H_
#define SINE48LINEOUT_H_

//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include "stdio.h"
#include "evmomapl137.h"
#include "evmomapl137_i2c.h"
#include "evmomapl137_aic3106.h"
#include "evmomapl137_mcasp.h"
#include "evmomapl137_line.h"

//-----------------------------------------------------------------------------
// Prototypes
//-----------------------------------------------------------------------------
interrupt void xint0_isr( void );

//-----------------------------------------------------------------------------
// Defines
//-----------------------------------------------------------------------------
#define BUFSIZE 256


#endif /* SINE48LINEOUT_H_ */
