/*
 * fir_basic.c
 *
 *  Created on: 4 avr. 2014
 *      Author: Regis Rousseau / Hugue Benoit-Cattin
 */


//  ======== Includes =======================================================
#include "filter_algorithm.h"
#include "filter_coefficients.h"

//  ======== Globals ========================================================
float x[N];
int N_old = N-1;


//  ======== FIR_sample =====================================================
float FIR_sample(float x0)
{
	int i;
	float yn = 0;                        // Filter output in lineout

	x[0] = x0;
	    for (i=0 ; i<N ; i++)                // Calculate output
			yn += (float) h[i]*x[i];				 // ha is declared and initialized in header file
	    for (i=(N-1) ; i>0 ; i--)            // Shift delay line
	    {
	    	x[i] = x[i-1];
	    }

	return (yn);
}

void FIR_initialize(void)
{
	int i;

	for(i=0 ; i<N ; i++)							 // Initialize x0, x(n-1)---,x(n-(N-1))
			x[i] = 0;

	return;
}

/* ------------------------------------------------------------------------ */
float fir_circular( float sampleIn )
{
		int i,j;					 // index to filter constants and samples
		float yn = 0;
        x[N_old] = sampleIn;		// pointeur sur le dbut du buffer circulaire
		yn = 0;
		j=N_old;

		// A completer...

		return( yn);
}
