/*------------------------------------------------------------------------ *
 * \file	loop_lineInOut.c                                               *
 * \brief	loopback through the HEADPHONE/LINEOUT jacks                   *
 * ----------------------------------------------------------------------- */


//  ======== Includes ========================================================
#include "loop_lineInOut.h"

extern void intcVectorTable( void );

//  ======== Globals =========================================================
Int16 buffer[BUFSIZE];
Int16 buf_ptr = 0;			// pointer into buffer to display wave in CCS

//  ======== xint0_isr ========================================================
//  interrupt subroutine to calculate the next sample
interrupt void xint0_isr( void )
{
	Int16 dataIO;

	dataIO = ReadDataFromLineinLeft();					// read sample from ADC
	//dataIO = ReadDataFromLineinRight();

	//WriteDataToLineout( dataIO );						// write sample to DAC and copy to two channels
	WriteDataToLineoutStereo( dataIO, dataIO );

	buffer[buf_ptr] = dataIO;					// store sample in buffer
	buf_ptr = (buf_ptr + 1) % BUFSIZE;			// increment buffer index

	return;
}
